<?php

/**
 * This is the main script of the Chamilo Sign Doctor
 *
 * @author Damien Renou
 */
require_once __DIR__.'/../main/inc/global.inc.php';

api_protect_admin_script();

echo '<h2>STEP 1 :Require DB changes</h2>';

if (!CetOtable("c_attendance_sheet","signature")) {

    $inSql = "ALTER TABLE c_attendance_sheet ADD signature longtext NULL;";
    Database::query($inSql);

    $inSql2 = "ALTER TABLE c_attendance_calendar ADD blocked tinyint(1) NULL;";
    Database::query($inSql2);
    
    echo "<li><span style='font-weight:bold;color:red;' >DB changes for chamilo sign is KO please refresh this page</span></li>";

} else {
    echo "<li><span style='color:green;' >DB changes for chamilo sign is <strong>OK</strong></span></li>";
}

echo '<h2>STEP 2 :Requires edit Entity</h2>';

echo ' * Requires edit Entity CAttendanceSheet : src/Chamilo/CourseBundle/Entity/CAttendanceSheet.php  add the @ symbol for attribute $signature into ORM\Column() line 64.<br>';
echo ' * Requires edit Entity CAttendanceCalendar : src/Chamilo/CourseBundle/Entity/CAttendanceCalendar.php add the @ symbol for attribute $blocked into ORM\Column() line.<br>';

echo "<br><img src='https://www.ludiscape.com/ressources/wp-content/uploads/2023/09/chamilo-sign-lines.jpg' />";

echo '<h2>STEP 3 : Update app config configuration.php</h2>';

echo ' $_configuration[\'enable_sign_attendance_sheet\'] = true; ';

function CetOtable($tableName,$columnName) {
    $returnExits = false;
    $sqlCtr = "SELECT table_name ,
                       table_schema AS schema_name
                FROM   information_schema.COLUMNS
                WHERE  column_name LIKE '%$columnName%'
                AND TABLE_NAME LIKE '%$tableName%' ";
    $resultSetCtr = Database::query($sqlCtr);
    while ($rowCtr = Database::fetch_array($resultSetCtr)){
        $returnExits = true;
    }
    return $returnExits;
}

$_configuration['enable_sign_attendance_sheet'] = true;